function fmgui;
figure;

params=[];
params.current_state = 0;
params.m = taksug;
params.data=[];
params.input='';
params.output='';
params.ny={};
params.nu={};
params.nd={};
params.method=1;
params.ident_params='';
params.xval_data=[];
params.visual_params='';
params.lmi = 0;
params.coni = 1;
params.freq = 0;
params.cc = 1;
params.cont = 'phic';
params.dat = 'demodata';
params.sist = 'nlpart';


set(gcf,'UserData',params);

icons = strvcat(['text(.5,.5,''Data'',''Horiz'',''center'')'], ...
        		['text(.5,.5,''Dynamics'',''Horiz'',''center'')'], ...
        		['text(.5,.5,''Identification'',''Horiz'',''center'')'], ...
        		['text(.5,.5,''Visualisation'',''Horiz'',''center'')'], ...
        		['text(.5,.5,''Control'',''Horiz'',''center'')'], ...
        		['text(.5,.5,''Stability'',''Horiz'',''center'')']);
          
callbacks = strvcat('redraw_hook',...
             'redraw_hook',...
             'redraw_hook',...
             'redraw_hook',...
             'redraw_hook',...
             'redraw_hook');
            
b=btngroup('GroupID', 'Main_Panel', 'ButtonID', ...
         	strvcat('Data','Dynamics','Identification', ...
         	'Visualisation','Control','Stability'),...
         	 'Callbacks', callbacks, ...
         	'Position', [.01 .5 .2 .49], ...
         	'Exclusive', 'yes', ...
         	'GroupSize',[6 1], ...
         	'IconFunctions', icons, ...
         	'InitialState',[1 0 0 0 0 0]);

icons = strvcat(['text(.5,.5,''Tag.-Sug.'',''Horiz'',''center'')'], ...
        		['text(.5,.5,''Lazy Learn.'',''Horiz'',''center'')'], ...
        		['text(.5,.5,''Mixt. of Exp.'',''Horiz'',''center'')']);
          
callbacks = strvcat('change_model_hook',...
             'change_model_hook',...
             'change_model_hook');
            
     
b=btngroup('GroupID', 'Model_Panel', 'ButtonID', ...
         	strvcat('taksug','lazy','moei'),...
         	'Callbacks', callbacks, ...
         	'Position', [.01 .15 .2 .29], ...
         	'Exclusive', 'yes', ...
         	'GroupSize',[3 1], ...
         	'IconFunctions', icons, ...
         	'InitialState',[1 0 0]);
         	
redraw_hook;



